import request from "@/utils/request";
import config from "@/utils/config";
const prefix = config.basePrefix
const systemPrefix = config.systemPrefix

// 租户列表
export const tenantList = params => request.get(prefix + '/tenant/select', {params})

// export const userList = params => request.get(prefix + '/blade-user/user-list', {params})

export const uploadImg = (file) => request({
  url: systemPrefix + '/file/uploadFile',
  method: 'post',
  data: file,
  headers: {"Content-Type": "multipart/form-data"}
})

export const searchUser = params => request.get('/api/yx/iam/getUserByUsernameOrPhone', {params})
export const searchUserByName = params => request.get('/api/yx/iam/getUserByAccountAndNickName', {params})
export const searchAdmin = params => request.get('/api/yx/iam/manageGetByKeyName', {params})

export const searchTenant = params => request.get('/api/yx/iam/tenantPage', {params})
export const searchTenantByIds = data => request.post('/api/yx/iam/tenantNameList', data)