import request from "@/utils/request";
import config from "@/utils/config";
const prefix = config.bigdataPrefix

// 模板列表
export const tempList = params => request.get(prefix + '/manage/visual/template/templates/page', {params})

// 创建人名字集合
export const creatorList = params => request.get(prefix + '/manage/visual/template/createNames', {params})
// 分类集合
export const allCategory = params => request.get(prefix + '/visual/template/allCategory', {params})

export const auditRecord = id => request.get(prefix + '/manage/visual/template/listReviewLogs/' + id,)

export const audit = data => request.post(prefix + '/manage/visual/template/reviewTemplate', data)

export const templateToggle = data => request.post(prefix + '/manage/visual/template/enableTemplate', data)

export const categoryList = params => request.get(prefix + '/manage/visual/template/queryAllCategory', {params})

export const categorySave = data => request.post(prefix + '/manage/visual/template/submitCategory', data)

export const tempEditCate = (id, cate) => request.post(prefix + `/manage/visual/template/updateCategory/${id}/${cate}`)

export const tempCateDel = id => request.post(prefix + `/manage/visual/template/editCategory/${id}`)

