export const originData = [
  {
    "销售日期": "2019-01-01",
    "销售金额": 100,
    "销售数量": 10,
    "销售人员": "张三",
    "销售部门": "销售部",
    //门店随机数
    "门店个数": Math.floor(Math.random() * 100),
  },
  {
    "销售日期": "2019-01-02",
    "销售金额": 200,
    "销售数量": 20,
    "销售人员": "李四",
    "销售部门": "销售部",
    //门店随机数
    "门店个数": Math.floor(Math.random() * 100),
  },
  {
    "销售日期": "2019-01-03",
    "销售金额": 300,
    "销售数量": 30,
    "销售人员": "王五",
    "销售部门": "销售部",
    //门店随机数
    "门店个数": Math.floor(Math.random() * 100),
  },
  {
    "销售日期": "2019-01-04",
    "销售金额": 400,
    "销售数量": 40,
    "销售人员": "赵六",
    "销售部门": "销售部",
    //门店随机数
    "门店个数": Math.floor(Math.random() * 10),
  },
  {
    "销售日期": "2019-01-05",
    "销售金额": 500,
    "销售数量": 50,
    "销售人员": "孙七",
    "销售部门": "销售部",
    //门店随机数
    "门店个数": Math.floor(Math.random() * 10),
  },
  {
    "销售日期": "2019-01-06",
    "销售金额": 600,
    "销售数量": 60,
    "销售人员": "周八",
    "销售部门": "销售部",
    //门店随机数
    "门店个数": Math.floor(Math.random() * 10),
  },
  {
    "销售日期": "2019-01-07",
    "销售金额": 700,
    "销售数量": 70,
    "销售人员": "吴九",
    "销售部门": "销售部",
    //门店随机数
    "门店个数": Math.floor(Math.random() * 10),
  }
]

export const codeText = {
  code: `
  option = {
	grid: {
    containLabel: true,
    left: '1%',
    right: '1%',
    top: '5%',
    bottom: '1%'
  },
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      type: 'shadow'
    }
  },
  xAxis: {
    type: 'category',
    data: originData.map(v=>v['占位1'])
  },
  yAxis: {
    type: 'value'
  },
  series: [
    {
      data: originData.map(v=>v['占位2']),
      type: 'bar',
      showBackground: true,
      backgroundStyle: {
        color: 'rgba(180, 180, 180, 0.2)'
      }
    }
  ]
};
  `,
  mapForm: [
    {
      title: "销售人员",
      value: "占位1",
      type: "weidu",
      fieldValue: "销售人员"
    },
    {
      title: "销售金额",
      value: "占位2",
      type: "zhibiao",
      fieldValue: "销售金额"
    }
  ]
}

export const explain = `
//所有数据均在 originData 中，类型为数组
//可以通过javascript取出数据，赋值给右侧代码编辑区域使用
//打印console.log(originData)
//常用遍利数据代码：
originData.map(v=>{
   v.name = v['填写占位字段']
   v.value = v['填写占位字段']
   return v
})
//取一维数据：originData.map(v=>v['填写占位字段'])
//取单一数据：originData['左侧序号']['填写占位字段']
//取单一KEY值：就是你的占位字段
//取所有KEY值：Object.keys(originData[0])

`