import request from "@/utils/request";
import config from "@/utils/config";
const prefix = config.bigdataPrefix

// 模板列表
export const tempList = params => request.get(prefix + '/visual/component/template/manage/page', {params})

// 创建人名字集合
export const creatorList = params => request.get(prefix + '/visual/component/template/manage/createNames', {params})
// 分类集合
export const allCategory = params => request.get(prefix + '/visual/component/template/manage/queryAllCategory', {params})

export const auditRecord = id => request.get(prefix + '/visual/component/template/manage/listReviewLogs/' + id,)

export const audit = data => request.post(prefix + '/visual/component/template/manage/reviewTemplate', data)

export const templateToggle = data => request.post(prefix + '/visual/component/template/manage/enableTemplate', data)

export const categoryList = params => request.get(prefix + '/visual/component/template/manage/queryAllCategory', {params})

export const categorySave = data => request.post(prefix + '/visual/component/template/manage/submitCategory', data)

export const tempEditCate = (id, cate) => request.post(prefix + `/manage/visual/template/updateCategory/${id}/${cate}`)

export const tempCateDel = id => request.post(prefix + `/visual/component/template/manage/editCategory/${id}`)

