import request from "@/utils/request";
import config from "@/utils/config";
const prefix = config.basePrefix

//分页查询自定义组件
export const customComponentPage = params => request.get(prefix + '/visual/component/define/page', {params});
//增加或修改自定义组件
export const customComponentSubmit = data => request.post(prefix + '/visual/component/define/submit', data);
// 自定义组件启用禁用
export const customComponentToggle = data => request.post(prefix + '/visual/component/define/enableDefineComponent', data);
//删除自定义组件
export const customComponentDelete = params => request.post(prefix + '/visual/component/define/delete', {}, {params});
//根据ID获取自定义组件
export const customComponentInfo = params => request.get(prefix + '/visual/component/define/info', {params});

// 系统组件列表
export const systemChartsList = params => request.get(prefix + '/visual/component/sys/page', {params})
// 系统组件修改
export const systemChartEdit = data => request.post(prefix + '/visual/component/sys/update', data)
// 系统组件启用禁用
export const systemChartToggle = data => request.post(prefix + '/visual/component/sys/enableSysComponent', data)
// 系统组件删除
// export const systemChartDel = data => request.post(prefix + '/visual/component/sys/submit', data)
// 系统组件分类列表
export const systemChartCategory = () => request.get(prefix + '/visual/component/sys/listCategory',)

// 创建人列表
export const customChartCreator = () => request.get(prefix + '/visual/component/define/createUserNameList',)