import request from "@/utils/request";
import config from "@/utils/config";
const biPrefix = config.bigdataPrefix
const profilePrefix = config.profilePrefix

export const chartLine = params => request.get(biPrefix + '/component/statistics/lineChart', {params});
export const chartTable = params => request.get(biPrefix + '/component/statistics/componentList', {params});
export const chartTop = params => request.get(biPrefix + '/component/statistics/componentTop', {params});

export const visualLine = params => request.get(profilePrefix + '/analysis/visualData/lineChart', {params});
export const visualTable = params => request.get(profilePrefix + '/analysis/visualData/page', {params});
export const visualTop = params => request.get(profilePrefix + '/analysis/visualData/getVisualTop', {params});

export const tempLine = params => request.get(biPrefix + '/visual/template/statistics/templateLineChart', {params});
export const tempTable = params => request.get(biPrefix + '/visual/template/statistics/templateList', {params});
export const tempTop = params => request.get(biPrefix + '/visual/template/statistics/templateTop', {params});

export const charTemptLine = params => request.get(biPrefix + '/component/statistics/templateLineChart', {params});
export const chartTempTable = params => request.get(biPrefix + '/component/statistics/componentTemplateList', {params});